Announcement

Collapse
No announcement yet.

Wine 1.5.15 Fully Supports Layered Windows

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Wine 1.5.15 Fully Supports Layered Windows

    Phoronix: Wine 1.5.15 Fully Supports Layered Windows

    The latest bi-weekly Wine development release in the 1.5 series adds in a couple new features...

    http://www.phoronix.com/vr.php?view=MTIwNTc

  • #2
    Is this vulnerable to the security flaws fixed in Firefox version 16.0.1?

    Comment


    • #3
      I guess the big question is, does it make Guild Wars 2 run better. I'm yet to own the game but I think that will be the point people want to know about.

      It seems to run EverQuest 1 much better.

      Comment


      • #4
        I'm also interested about GW2 - but I'm also a Crossover customer, so I'm certain it'll work fine on release

        Comment


        • #5
          Originally posted by Vadi View Post
          I'm also interested about GW2 - but I'm also a Crossover customer, so I'm certain it'll work fine on release
          I just tried guild wars 2 with wine 1.5.15 and there is very little change in terms framerate improvements. I get around 30 fps on i7-2600K with 8 GB of RAM and a Nvidia 580 GTX. According to the bug reports on winehq, the problem seems to be the lacking support of multicore processors in wine.

          Comment


          • #6
            I never saw such a f**k up

            WINE 1.5.14 works extremely well and this garbage is constantly locking installers of basic thins like VC , PHYSX , YOU name it


            WORSE, it's completely RANDOM

            Comment


            • #7
              Originally posted by AJSB View Post
              I never saw such a f**k up

              WINE 1.5.14 works extremely well and this garbage is constantly locking installers of basic thins like VC , PHYSX , YOU name it


              WORSE, it's completely RANDOM
              Hmmm, Yes you'd almost feel it was a development release

              Bob

              Comment


              • #8
                Originally posted by bobwya View Post
                Hmmm, Yes you'd almost feel it was a development release

                Bob
                Well, yeah, but so is 1.5.14 and works flawless....someone screwed this release big time


                ...and i bet it's all because of layered windows...

                Comment


                • #9
                  Originally posted by AJSB View Post
                  Well, yeah, but so is 1.5.14 and works flawless....someone screwed this release big time


                  ...and i bet it's all because of layered windows...
                  You've obviously got a selective memory... I recall Wine 1.3.20 being one of the most specatular fails ever

                  The rule of thumb is always keep an older/non-development version of Wine kicking about - for doing real stuff

                  Bob

                  Comment


                  • #10
                    Originally posted by bobwya View Post
                    You've obviously got a selective memory... I recall Wine 1.3.20 being one of the most specatular fails ever

                    The rule of thumb is always keep an older/non-development version of Wine kicking about - for doing real stuff

                    Bob

                    I have

                    1.4.1
                    1.5.14
                    1.5.15 (erased now)

                    As for 1.3.20, LOL , i forgot that one...i was so pissed with it that i reinstalled WinXP


                    ...but that is all part of a dark period in my life

                    Comment


                    • #11
                      Originally posted by AJSB View Post
                      I never saw such a f**k up

                      WINE 1.5.14 works extremely well and this garbage is constantly locking installers of basic thins like VC , PHYSX , YOU name it


                      WORSE, it's completely RANDOM
                      There's a good chance that's because you have an old (32-bit) libxcb that doesn't include http://cgit.freedesktop.org/xcb/libx...c5d59fb0823cef, although that issue certainly isn't new in 1.5.14.

                      Comment


                      • #12
                        Yeah , i searched the bugs and find out that...it was libxcb...i simply downloaded it together with xcb-proto (was outdated for libxcb 1.9) and made some packages with src2pkg


                        There is still some problems if we try to install with winetricks comctl32 as reported by several....but we just need to try again and eventually will install as it was reported by me in the BUG page...

                        Nothing of this was happening with 1.5.14....or maybe i was just lucky with things installed in 1.5.14...

                        Comment

                        Working...
                        X